org.eclipse.microprofile.rest.client.tck.interfaces

## Interface JsonPClient

All Known Subinterfaces:
  ClientWithKeystoreAndTruststore, ClientWithKeystoreFromClasspathAndTruststore, ClientWithNonMatchingStore, ClientWithTruststore, JsonPClientWithSslContext, JsonPClientWithTruststoreFromClasspath

    @RegisterRestClient
    public interface JsonPClient

### Method Summary

All Methods Instance Methods Abstract Methods
`javax.json.JsonArray` `get()`
`javax.json.JsonObject` `get(String id)`
`javax.ws.rs.core.Response` `post(javax.json.JsonObject object)`
`javax.json.JsonObject` `update(String id, javax.json.JsonObject body)`

### Method Detail

#### get

    @Path(value="/")
     @GET
    javax.json.JsonArray get()

#### get

    @Path(value="/{id}")
     @GET
    javax.json.JsonObject get(@PathParam(value="id")
                                                         String id)

#### post

    @POST
     @Path(value="/")
    javax.ws.rs.core.Response post(javax.json.JsonObject object)

#### update

    @PUT
     @Path(value="/{id}")
    javax.json.JsonObject update(@PathParam(value="id")
                                                            String id,
                                                            javax.json.JsonObject body)